package com.tarena.fly;

import java.util.Random;

public class Boss extends FlyingObject implements Enemy,BigAward{
	private int xSpeed = 1;
	private int ySpeed = 2;
	private int awardType=1;
	
	
	
	public Boss(){
		life =10;
		this.image = ShootGame.boss;
		width = image.getWidth();
		height = image.getHeight();
		x = (int)(Math.random()*(ShootGame.WIDTH-this.width));
		y = height/5;
		
	
	}
	
	public boolean outOfBounds() {
		
		return false;
	}

	
	public void step() {
		x+=xSpeed;
		y+=ySpeed;
	if(x>ShootGame.WIDTH-this.width/2){
		xSpeed = -1;
	}
	if(x<0){
		xSpeed = 1;
	}
	if(y>ShootGame.HEIGHT-this.height/2){
		ySpeed = -1;
	}
	if(y<0){
		ySpeed = 1;
	}
	}
		
	

	
	public int getScore() {
		
		return 1000;
	}

	
	public int getAward() {
		
		return awardType;
	}

}
